견적 관리 API

  • 릴리스 버전: Zurich
  • 업데이트 날짜 2025년 07월 31일
  • 소요 시간: 98분
  • 견적 관리 API는 고객 견적 데이터를 생성, 업데이트 및 검색할 수 있는 엔드포인트를 제공합니다.

    견적 관리 오픈 API는 ServiceNow TM 포럼 견적 관리 API REST 사양을 구현한 것입니다. 이 구현은 https://www.tmforum.org/resources/standard/tmf648-quote-management-api-rest-specification-r19-0-0/ 기반으로 합니다.

    이 API는 필수 매개변수, 요청 본문 확인, 추가 REST 작업 및 필드 매핑을 사용자 지정하도록 확장할 수 있습니다.

    견적 관리 API에는 견적 관리(com.sn_quote_mgmt) 플러그인과 quote_integrator 역할이 필요합니다. 이 API는 sn_tmf_api 네임스페이스에 속합니다. Quote Management 문서를 참조하십시오.

    견적 관리 API는 다음 테이블에 데이터를 생성하거나 업데이트합니다.
    • 인용문 [sn_quote_mgmt_core_quote]
    • 판매 계약 [sn_sales_agmt_core_sales_agreement]
    • 견적 라인 항목 [sn_quote_mgmt_core_quote_line_item]
    • 견적 라인 특성 [sn_quote_mgmt_core_quote_line_characteristic]
    • 견적 가격 조정 [sn_quote_mgmt_core_pricing_adjustment]

    견적 관리 API - 삭제 /sn_tmf_api/quote_management_api/견적/{id}

    지정된 견적을 삭제합니다.

    URL 형식

    버전이 지정된 URL: /api/sn_tmf_api/{api_version}/quote_management_api/quote/{id}

    기본 URL: /api/sn_tmf_api/quote_management_api/quote/{id}

    지원되는 요청 매개변수

    표 1. 경로 매개변수
    이름 설명
    ID 삭제할 견적 Sys_id입니다.

    데이터 유형: 문자열

    테이블: 견적 [sn_quote_mgmt_core_quote]

    표 2. 쿼리 매개변수
    이름 설명
    없음
    표 3. 요청 본문 매개변수(JSON)
    이름 설명
    없음

    헤더

    다음 요청 및 응답 헤더는 이 HTTP 작업에만 적용되거나 이 작업에 고유한 방식으로 적용됩니다. REST API에 사용되는 일반 헤더 목록은 지원되는 REST API 헤더를 참조하세요.

    표 4. 요청 헤더
    헤더 설명
    수용 응답 본문의 데이터 형식입니다. application/json만 지원합니다.
    표 5. 응답 헤더
    헤더 설명
    없음

    상태 코드

    다음 상태 코드는 이 HTTP 작업에 적용됩니다. REST API에서 사용되는 가능한 상태 코드 목록은 REST API HTTP 응답 코드를 참조하세요.

    표 6. 상태 코드
    상태 코드 설명
    204 성공입니다. 요청이 성공적으로 완료되었으며 지정된 견적이 삭제되었습니다. 컨텐츠가 없습니다.
    400 잘못된 요청입니다. 잘못된 요청 유형 또는 잘못된 형식의 요청이 탐지되었습니다.

    응답 본문 매개변수(JSON)

    머리글 설명
    없음

    cURL 요청

    이 예시에서는 따옴표를 삭제하는 방법을 보여줍니다.

    curl "http://instance.servicenow.com/api/sn_tmf_api/quote_management_api/quote/cb15734fd5692a10f8774663edf0ac19" \ 
    --request DELETE\ 
    --header "Accept:application/json" \ 
    --user 'username':'password'

    견적 관리 API – GET /sn_tmf_api/quote_management_api/견적

    모든 견적을 검색합니다.

    이 API는 다음 관련 테이블에서 견적 정보를 검색합니다.
    • 인용문 [sn_quote_mgmt_core_quote]
    • 판매 계약 [sn_sales_agmt_core_sales_agreement]
    • 견적 라인 항목 [sn_quote_mgmt_core_quote_line_item]
    • 견적 라인 특성 [sn_quote_mgmt_core_quote_line_characteristic]
    • 견적 가격 조정 [sn_quote_mgmt_core_pricing_adjustment]

    URL 형식

    버전이 지정된 URL: /api/sn_tmf_api/{api_version}/quote_management_api/quote

    기본 URL: /api/sn_tmf_api/quote_management_api/quote

    지원되는 요청 매개변수

    표 7. 경로 매개변수
    이름 설명
    없음
    표 8. 쿼리 매개변수
    이름 설명
    필드 응답에서 반환할 필드 목록입니다. 잘못된 필드는 무시됩니다.
    유효한 필드:
    • quoteNumber
    • href
    • ID
    • 설명
    • externalId
    • expectedQuoteCompletionDate
    • 버전
    • @type

    데이터 유형: 문자열

    기본값: 모든 필드가 반환됩니다.

    ID 견적 sys_id 기준으로 결과를 필터링합니다.

    테이블: 견적 [sn_quote_mgmt_core_quote]

    데이터 유형: 문자열

    기본값: 비어 있음

    제한 반환할 최대 기록 수입니다. 이 기록 수를 초과하는 요청의 경우 매개변수를 사용하여 offset 기록 검색을 페이지 매김합니다.

    데이터 유형: 숫자

    기본값: 20

    최대: 100

    오프셋 기록 검색을 시작할 시작 인덱스입니다. 이 값을 사용하여 기록 검색을 페이지 매김합니다. 이 기능을 사용하면 기록 수와 관계없이 관리 가능한 작은 청크로 모든 기록을 검색할 수 있습니다.

    데이터 유형: 숫자

    기본값: 0

    표 9. 요청 본문 매개변수(JSON)
    이름 설명
    없음

    헤더

    다음 요청 및 응답 헤더는 이 HTTP 작업에만 적용되거나 이 작업에 고유한 방식으로 적용됩니다. REST API에 사용되는 일반 헤더 목록은 지원되는 REST API 헤더를 참조하세요.

    표 10. 요청 헤더
    헤더 설명
    없음
    표 11. 응답 헤더
    헤더 설명
    콘텐츠 범위 페이지 매김된 호출에서 반환된 콘텐츠의 범위입니다.

    예를 들어, offset=2limit=3인 경우 헤더의 Content-Range 값은 항목 3-5입니다.

    콘텐츠-형식 응답 본문의 데이터 형식입니다. .만 지원합니다 application/json.
    X-Total-Count 페이지 매김된 쿼리의 경우 이 헤더는 서버에서 사용할 수 있는 총 레코드 수를 지정합니다.

    상태 코드

    다음 상태 코드는 이 HTTP 작업에 적용됩니다. REST API에서 사용되는 가능한 상태 코드 목록은 REST API HTTP 응답 코드를 참조하세요.

    표 12. 상태 코드
    상태 코드 설명
    200 요청이 성공적으로 처리되었습니다. 응답으로 전체 자원이 반환됩니다(페이지 매김 없음).
    206 응답으로 반환된 부분 자원(페이지 매김 포함).
    400
    잘못된 요청. 가능한 이유:
    • 잘못된 경로 매개변수
    • 잘못된 URI
    404 기록 없음 쿼리 매개변수와 일치하는 기록을 테이블에서 찾을 수 없습니다.

    응답 본문 매개변수(JSON)

    이름 설명
    contactMedium 연락 매체 목록입니다. 견적 요청자와 관련된 연락처 정보입니다.
    "contactMedium": [
     {
      "city": "String",
      "country": "String",
      "locationId": "String",
      "mediumType": "String",
      "postCode": "String",
      "stateOrProvince": "String",
      "street": "String",
      "@type": "String"
     }
    ]
    contactMedium.city 견적 요청자가 거주하는 도시입니다.

    데이터 유형: 문자열

    contactMedium.country 견적 요청자가 거주하는 국가입니다.

    데이터 유형: 문자열

    contactMedium.locationId 위치 [cmn_location] 테이블 또는 사용자 지정 주소에 나열된 위치의 Sys_id입니다.

    데이터 유형: 문자열

    contactMedium.mediumType 연락 수단의 유형입니다(예: 이메일 주소, 전화 번호 또는 우편 주소).

    데이터 유형: 문자열

    contactMedium.postCode 견적 요청자의 우편 번호입니다.

    데이터 유형: 문자열

    contactMedium.stateOrProvince 견적 요청자가 거주하는 시 또는 도입니다.

    데이터 유형: 문자열

    contactMedium.street 견적 요청자의 거리 주소입니다.

    데이터 유형: 문자열

    contactMedium.@type TMF Open API 표준에 따른 매체 유형입니다. 예: GeographicalAddressContactMedium.

    데이터 유형: 문자열

    설명 견적에 대한 설명입니다.

    데이터 유형: 문자열

    expectedQuoteCompletionDate 견적 공급자로부터 이 견적에 대한 응답을 반송할 수 있을 것으로 예상되는 날짜입니다.

    데이터 유형: 문자열

    externalId 견적에 대한 고유 소비자 제공 ID입니다.

    데이터 유형: 문자열

    href 견적에 액세스할 수 있는 상대 링크입니다.

    데이터 유형: 문자열

    기본값: 빈 문자열

    ID 요청된 견적의 Sys_id입니다.

    테이블: 견적 [sn_quote_mgmt_core_quote]

    데이터 유형: 문자열

    참고 견적과 연결된 메모의 목록입니다.

    데이터 유형: 배열

    "note": [
      {
        "author": "String",
        "date": "String",
        "text": "String",
        "@type": "String"
     }
    ]
    메모.작성자 관련 메모를 작성한 사람의 사용자 이름입니다.

    데이터 유형: 문자열

    note.date 메모가 생성된 날짜입니다.

    데이터 유형: 문자열

    note.text 메모의 내용입니다.

    데이터 유형: 문자열

    note.@type 이 값은 항상 참고입니다.

    데이터 유형: 문자열

    견적 날짜 견적이 생성된 날짜 및 시간입니다.

    데이터 유형: 문자열

    견적 항목 견적 항목 목록입니다. 각 견적 항목은 견적을 받을 제품에 대한 작업을 설명합니다.
    "quoteItem": [
     {
      "action": "String",
      "id": "String",
      "product": {Object},
      "productOffering": {Object},
      "quantity": Number,
      "state": "String",
      "@type": "String"
     }
    ]

    데이터 유형: 객체 배열

    quoteItem.action 이 견적 항목에 대해 수행할 작업(추가, 수정, 제거 등)입니다.

    데이터 유형: 문자열

    quoteItem.id 견적 항목의 Sys_id입니다.

    테이블: 견적 라인 항목 [sn_quote_mgmt_core_quote_line_item]

    데이터 유형: 문자열

    quoteItem.product 견적에 포함된 제품 목록입니다.
    "product": {
      "characteristic": "String",
      "specification": "String",
      "@type": "String"
    }

    데이터 유형: 객체

    quoteItem.product. 특성 제품 특성 목록입니다.

    데이터 유형: 객체 배열

    "characteristic": [
      {
        "id": "String",
        "name": "String",
        "@type": "String",
        "value": "String"
      }
    ]
    Create product characteristics and characteristic options 문서를 참조하십시오.
    quoteItem.product. characteristic.id 제품 특성의 Sys_id입니다.

    테이블: 견적 라인 특성 [sn_quote_mgmt_core_quote_line_characteristic]

    데이터 유형: 문자열

    quoteItem.product. characteristic.name 제품 특성의 이름입니다.

    데이터 유형: 문자열

    quoteItem.product. characteristic.@type 이 값은 항상 StringCharacteristic입니다.

    데이터 유형: 문자열

    quoteItem.product. characteristic.value 특성의 값입니다.

    데이터 유형: 문자열

    quoteItem.product. 사양 고객 또는 당사자 역할을 수행하는 다른 당사자에게 제품 오퍼링의 형태로 외부에서 사용할 수 있는 유형 또는 무형 객체에 대한 자세한 설명입니다.

    데이터 유형: 문자열

    quoteItem.product.@type 이 값은 항상 Product입니다.

    데이터 유형: 문자열

    quoteItem.productOffering 제품 오퍼링 참조(ProductOfferingRef)입니다. 제품 오퍼링은 카탈로그 제공자로부터 주문할 수 있는 엔터티를 나타냅니다.
    "productOffering": {
      "href": "String",
      "name": "String",
      "name": "String",
      "@type": "String"
    }

    데이터 유형: 객체

    quoteItem 입니다. productOffering.href 관련 엔터티의 참조입니다.

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.id 제품 오퍼링의 Sys_id입니다.

    테이블: 제품 오퍼링[sn_prd_pm_product_offering]

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.name 관련 엔터티의 이름입니다.

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.@type 이 값은 항상 ProductOfferingRef입니다.

    데이터 유형: 문자열

    quoteItem.quantity 이 견적 항목에 대해 요청된 수량입니다.

    데이터 유형: 숫자

    quoteItem.state 견적 상태 유형(QuoteStateType)입니다. 견적의 상태입니다.

    데이터 유형: 문자열

    quoteItem.@type 이 값은 항상 QuoteItem입니다.

    데이터 유형: 문자열

    quoteNumber 견적에 할당된 견적 라인 항목 기록 번호입니다.

    테이블: 견적 라인 항목 [sn_quote_mgmt_core_quote_line_item]

    데이터 유형: 문자열

    관련당사자 주문의 연락처 목록입니다.

    데이터 유형: 객체 배열

    "relatedParty": [
      {
        "id": "String",
        "name": "String",
        "@referredType": "String",
        "role": "String",
        "@type": "String"
      }
    ]
    relatedParty.id 계정, 접촉 창구 또는 고객을 가져오기 위한 견적 테이블의 Sys_id입니다.

    테이블: 견적 [sn_quote_mgmt_core_quote]

    데이터 유형: 문자열

    relatedParty.name 계정, 고객 또는 소비자의 이름입니다.

    데이터 유형: 문자열

    relatedParty.@referredType 고객의 유형입니다.
    가능한 값:
    • 소비자
    • 고객
    • 고객 연락처

    데이터 유형: 문자열

    relatedParty.role 견적의 맥락에서 당사자의 역할(예: 계정, 연락처 또는 고객)입니다.

    데이터 유형: 문자열

    relatedParty.@type 이 값은 항상 ProductOfferingRef입니다.

    데이터 유형: 문자열

    requestedQuoteCompletionDate 날짜 시간(DateTime)입니다. 이 값은 견적 요청자가 이 견적에 대한 완전한 응답을 받기 위해 지정한 날짜를 나타냅니다.

    데이터 유형: 문자열

    상태 견적 항목의 상태입니다.

    데이터 유형: 문자열

    @type 자원의 유형입니다. 이 값은 항상 Quote입니다. 이 정보는 저장되지 않습니다.

    데이터 유형: 문자열

    cURL 요청

    이 예에서는 모든 따옴표를 검색합니다.

    curl "https://instance.service-now.com/api/sn_tmf_api/quote_management_api/quote" \
    --request GET \
    --header "Accept:application/json" \
    --user 'userName':'password'

    응답 본문.

    {
      "id": "47e562bad565a610f8774663edf0ac10",
      "quoteNumber": "QT0001001",
      "href": "api/sn_tmf_api/quote_management_api/quote/47e562bad565a610f8774663edf0ac10",
      "@type": "Quote",
      "description": "Testing Quote",
      "expectedQuoteCompletionDate": "2025-05-23 11:12:08",
      "externalId": "Test_1234",
      "quoteDate": "2025-05-20 11:11:13",
      "requestedQuoteCompletionDate": "2025-05-23 11:12:08",
      "version": "3",
      "agreement": [],
      "contactMedium": [
        {
          "@type": "GeographicalAddressContactMedium",
          "mediumType": "ShippingAddressRef",
          "locationId": "6774fee611383110f877366201dea64f",
          "city": "Santa Clara",
          "country": "USA",
          "postCode": "94560",
          "stateOrProvince": "CA",
          "street": "222 Star St"
        }
      ],
      "note": [],
      "quoteItem": [
        {
          "id": "8be562bad565a610f8774663edf0ac16",
          "@type": "QuoteItem",
          "action": "add",
          "quantity": "1",
          "state": "Draft",
          "product": {
            "@type": "Product",
            "productCharacteristic": [
              {
                "id": "0fe562bad565a610f8774663edf0ac17",
                "name": "Voice Pack",
                "value": "1500 Minutes/Month"
              },
              {
                "id": "4be562bad565a610f8774663edf0ac17",
                "name": "SMS Pack",
                "value": "700 /Month"
              },
              {
                "id": "83e562bad565a610f8774663edf0ac18",
                "name": "Data Pack",
                "value": "20 GB/Month"
              },
              {
                "id": "87e562bad565a610f8774663edf0ac17",
                "name": "Mobile Number",
                "value": ""
              },
              {
                "id": "cfe562bad565a610f8774663edf0ac17",
                "name": "Shipping Address",
                "value": ""
              }
            ],
            "productSpecification": {
              "id": "3ee1fdb1c3331010d216b5183c40dd81",
              "href": "api/sn_tmf_api/catalogmanagement/productSpecification/3ee1fdb1c3331010d216b5183c40dd81",
              "name": "Mobile Plan",
              "@type": "ProductSpecificationRef"
            }
          },
          "productOffering": {
            "id": "2cb5588fc30020105252716b7d40dddd",
            "href": "api/sn_tmf_api/catalogmanagement/productOffering/2cb5588fc30020105252716b7d40dddd",
            "name": "All in one mobile plan starting from $49/month",
            "@type": "ProductOfferingRef"
          },
          "quoteItemPrice": [
            {
              "description": "Standard Price List",
              "name": "Standard Price List",
              "priceType": "Recurring",
              "recurringChargePeriod": "",
              "unitOfMeasure": "",
              "unitMarginPercentage": "",
              "price": {
                "totalOneTimePrice": {
                  "unit": "USD",
                  "value": 0
                },
                "monthlyRecurringPrice": {
                  "unit": "USD",
                  "value": 0
                },
                "annualRecurringPrice": {
                  "unit": "USD",
                  "value": 0
                },
                "cumulativeRecurringPrice": {
                  "unit": "USD",
                  "value": 0
                },
                "cumulativeAnnualRecurringPrice": {
                  "unit": "USD",
                  "value": 0
                },
                "cumulativeNetPrice": {
                  "unit": "USD",
                  "value": 0
                },
                "unitMarginAmount": {
                  "unit": "USD",
                  "value": 0
                },
                "unitMarginBasePrice": {
                  "unit": "USD",
                  "value": 0
                },
                "listPrice": {
                  "unit": "USD",
                  "value": 0
                },
                "unitCost": {
                  "unit": "USD",
                  "value": 0
                },
                "unitPrice": {
                  "unit": "USD",
                  "value": 0
                },
                "dutyFreeAmount": {
                  "unit": "USD",
                  "value": 0
                },
                "taxIncludedAmount": {
                  "unit": "USD",
                  "value": 0
                }
              },
              "priceAlteration": []
            }
          ]
        }
      ],
      "relatedParty": [
        {
          "role": "Customer",
          "id": "9e2fd2ee11b43110f877366201dea674",
          "name": "Startech svcs",
          "@type": "RelatedPartyRef",
          "@referredType": "Organization"
        },
        {
          "role": "CustomerContact",
          "id": "dca96eaa11f43110f877366201dea6c1",
          "name": "Alex Star",
          "@type": "RelatedPartyRef",
          "@referredType": "Individual"
        }
      ],
      "state": "Draft"
    }

    견적 관리 API – GET /sn_tmf_api/quote_management_api/quote/{id}

    지정된 견적을 조회합니다.

    이 API는 다음 관련 테이블에서 견적 정보를 검색합니다.
    • 인용문 [sn_quote_mgmt_core_quote]
    • 판매 계약 [sn_sales_agmt_core_sales_agreement]
    • 견적 라인 항목 [sn_quote_mgmt_core_quote_line_item]
    • 견적 라인 특성 [sn_quote_mgmt_core_quote_line_characteristic]
    • 견적 가격 조정 [sn_quote_mgmt_core_pricing_adjustment]

    URL 형식

    버전이 지정된 URL: /api/sn_tmf_api/{api_version}/quote_management_api/quote/{id}

    기본 URL: /api/sn_tmf_api/quote_management_api/quote/{id}

    지원되는 요청 매개변수

    표 13. 경로 매개변수
    이름 설명
    ID 검색할 견적 Sys_id입니다.

    데이터 유형: 문자열

    테이블: 견적 [sn_quote_mgmt_core_quote]

    표 14. 쿼리 매개변수
    이름 설명
    없음
    표 15. 요청 본문 매개변수(JSON)
    이름 설명
    없음

    헤더

    다음 요청 및 응답 헤더는 이 HTTP 작업에만 적용되거나 이 작업에 고유한 방식으로 적용됩니다. REST API에 사용되는 일반 헤더 목록은 지원되는 REST API 헤더를 참조하세요.

    표 16. 요청 헤더
    헤더 설명
    없음
    표 17. 응답 헤더
    헤더 설명
    콘텐츠-형식 응답 본문의 데이터 형식입니다. .만 지원합니다 application/json.

    상태 코드

    다음 상태 코드는 이 HTTP 작업에 적용됩니다. REST API에서 사용되는 가능한 상태 코드 목록은 REST API HTTP 응답 코드를 참조하세요.

    표 18. 상태 코드
    상태 코드 설명
    200 요청이 성공적으로 처리되었습니다. 응답으로 전체 자원이 반환됩니다(페이지 매김 없음).
    206 응답으로 반환된 부분 자원(페이지 매김 포함).
    400
    잘못된 요청. 가능한 이유:
    • 잘못된 경로 매개변수
    • 잘못된 URI
    404 기록 없음 쿼리 매개변수와 일치하는 기록을 테이블에서 찾을 수 없습니다.

    응답 본문 매개변수(JSON)

    이름 설명
    contactMedium 연락 매체 목록입니다. 견적 요청자와 관련된 연락처 정보입니다.
    "contactMedium": [
     {
      "city": "String",
      "country": "String",
      "locationId": "String",
      "mediumType": "String",
      "postCode": "String",
      "stateOrProvince": "String",
      "street": "String",
      "@type": "String"
     }
    ]
    contactMedium.city 견적 요청자가 거주하는 도시입니다.

    데이터 유형: 문자열

    contactMedium.country 견적 요청자가 거주하는 국가입니다.

    데이터 유형: 문자열

    contactMedium.locationId 위치 [cmn_location] 테이블 또는 사용자 지정 주소에 나열된 위치의 Sys_id입니다.

    데이터 유형: 문자열

    contactMedium.mediumType 연락 수단의 유형입니다(예: 이메일 주소, 전화 번호 또는 우편 주소).

    데이터 유형: 문자열

    contactMedium.postCode 견적 요청자의 우편 번호입니다.

    데이터 유형: 문자열

    contactMedium.stateOrProvince 견적 요청자가 거주하는 시 또는 도입니다.

    데이터 유형: 문자열

    contactMedium.street 견적 요청자의 거리 주소입니다.

    데이터 유형: 문자열

    contactMedium.@type TMF Open API 표준에 따른 매체 유형입니다. 예: GeographicalAddressContactMedium.

    데이터 유형: 문자열

    설명 견적에 대한 설명입니다.

    데이터 유형: 문자열

    expectedQuoteCompletionDate 견적 공급자로부터 이 견적에 대한 응답을 반송할 수 있을 것으로 예상되는 날짜입니다.

    데이터 유형: 문자열

    externalId 견적에 대한 고유 소비자 제공 ID입니다.

    데이터 유형: 문자열

    href 견적에 액세스할 수 있는 상대 링크입니다.

    데이터 유형: 문자열

    기본값: 빈 문자열

    ID 요청된 견적의 Sys_id입니다.

    테이블: 견적 [sn_quote_mgmt_core_quote]

    데이터 유형: 문자열

    참고 견적과 연결된 메모의 목록입니다.

    데이터 유형: 배열

    "note": [
      {
        "author": "String",
        "date": "String",
        "text": "String",
        "@type": "String"
     }
    ]
    메모.작성자 관련 메모를 작성한 사람의 사용자 이름입니다.

    데이터 유형: 문자열

    note.date 메모가 생성된 날짜입니다.

    데이터 유형: 문자열

    note.text 메모의 내용입니다.

    데이터 유형: 문자열

    note.@type 이 값은 항상 참고입니다.

    데이터 유형: 문자열

    견적 날짜 견적이 생성된 날짜 및 시간입니다.

    데이터 유형: 문자열

    견적 항목 견적 항목 목록입니다. 각 견적 항목은 견적을 받을 제품에 대한 작업을 설명합니다.
    "quoteItem": [
     {
      "action": "String",
      "id": "String",
      "product": {Object},
      "productOffering": {Object},
      "quantity": Number,
      "state": "String",
      "@type": "String"
     }
    ]

    데이터 유형: 객체 배열

    quoteItem.action 이 견적 항목에 대해 수행할 작업(추가, 수정, 제거 등)입니다.

    데이터 유형: 문자열

    quoteItem.id 견적 항목의 Sys_id입니다.

    테이블: 견적 라인 항목 [sn_quote_mgmt_core_quote_line_item]

    데이터 유형: 문자열

    quoteItem.product 견적에 포함된 제품 목록입니다.
    "product": {
      "characteristic": "String",
      "specification": "String",
      "@type": "String"
    }

    데이터 유형: 객체

    quoteItem.product. 특성 제품 특성 목록입니다.

    데이터 유형: 객체 배열

    "characteristic": [
      {
        "id": "String",
        "name": "String",
        "@type": "String",
        "value": "String"
      }
    ]
    Create product characteristics and characteristic options 문서를 참조하십시오.
    quoteItem.product. characteristic.id 제품 특성의 Sys_id입니다.

    테이블: 견적 라인 특성 [sn_quote_mgmt_core_quote_line_characteristic]

    데이터 유형: 문자열

    quoteItem.product. characteristic.name 제품 특성의 이름입니다.

    데이터 유형: 문자열

    quoteItem.product. characteristic.@type 이 값은 항상 StringCharacteristic입니다.

    데이터 유형: 문자열

    quoteItem.product. characteristic.value 특성의 값입니다.

    데이터 유형: 문자열

    quoteItem.product. 사양 고객 또는 당사자 역할을 수행하는 다른 당사자에게 제품 오퍼링의 형태로 외부에서 사용할 수 있는 유형 또는 무형 객체에 대한 자세한 설명입니다.

    데이터 유형: 문자열

    quoteItem.product.@type 이 값은 항상 Product입니다.

    데이터 유형: 문자열

    quoteItem.productOffering 제품 오퍼링 참조(ProductOfferingRef)입니다. 제품 오퍼링은 카탈로그 제공자로부터 주문할 수 있는 엔터티를 나타냅니다.
    "productOffering": {
      "href": "String",
      "name": "String",
      "name": "String",
      "@type": "String"
    }

    데이터 유형: 객체

    quoteItem 입니다. productOffering.href 관련 엔터티의 참조입니다.

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.id 제품 오퍼링의 Sys_id입니다.

    테이블: 제품 오퍼링[sn_prd_pm_product_offering]

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.name 관련 엔터티의 이름입니다.

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.@type 이 값은 항상 ProductOfferingRef입니다.

    데이터 유형: 문자열

    quoteItem.quantity 이 견적 항목에 대해 요청된 수량입니다.

    데이터 유형: 숫자

    quoteItem.state 견적 상태 유형(QuoteStateType)입니다. 견적의 상태입니다.

    데이터 유형: 문자열

    quoteItem.@type 이 값은 항상 QuoteItem입니다.

    데이터 유형: 문자열

    quoteNumber 견적에 할당된 견적 라인 항목 기록 번호입니다.

    테이블: 견적 라인 항목 [sn_quote_mgmt_core_quote_line_item]

    데이터 유형: 문자열

    관련당사자 주문의 연락처 목록입니다.

    데이터 유형: 객체 배열

    "relatedParty": [
      {
        "id": "String",
        "name": "String",
        "@referredType": "String",
        "role": "String",
        "@type": "String"
      }
    ]
    relatedParty.id 계정, 접촉 창구 또는 고객을 가져오기 위한 견적 테이블의 Sys_id입니다.

    테이블: 견적 [sn_quote_mgmt_core_quote]

    데이터 유형: 문자열

    relatedParty.name 계정, 고객 또는 소비자의 이름입니다.

    데이터 유형: 문자열

    relatedParty.@referredType 고객의 유형입니다.
    가능한 값:
    • 소비자
    • 고객
    • 고객 연락처

    데이터 유형: 문자열

    relatedParty.role 견적의 맥락에서 당사자의 역할(예: 계정, 연락처 또는 고객)입니다.

    데이터 유형: 문자열

    relatedParty.@type 이 값은 항상 ProductOfferingRef입니다.

    데이터 유형: 문자열

    requestedQuoteCompletionDate 날짜 시간(DateTime)입니다. 이 값은 견적 요청자가 이 견적에 대한 완전한 응답을 받기 위해 지정한 날짜를 나타냅니다.

    데이터 유형: 문자열

    상태 견적 항목의 상태입니다.

    데이터 유형: 문자열

    @type 자원의 유형입니다. 이 값은 항상 Quote입니다. 이 정보는 저장되지 않습니다.

    데이터 유형: 문자열

    cURL 요청

    다음 예에서는 지정된 견적을 검색합니다.

    curl "https://instance.service-now.com/api/sn_tmf_api/quote_management_api/quote/04ba9004f11f3110f8777d7194f166f6" \
    --request GET \
    --header "Accept:application/json" \
    --user 'userName':'password'

    응답 본문.

    {
      "id": "47e562bad565a610f8774663edf0ac10",
      "quoteNumber": "QT0001001",
      "href": "api/sn_tmf_api/quote_management_api/quote/47e562bad565a610f8774663edf0ac10",
      "@type": "Quote",
      "description": "Testing Quote",
      "expectedQuoteCompletionDate": "2025-05-23 11:12:08",
      "externalId": "Test_1234",
      "quoteDate": "2025-05-20 11:11:13",
      "requestedQuoteCompletionDate": "2025-05-23 11:12:08",
      "version": "3",
      "agreement": [],
      "contactMedium": [
        {
          "@type": "GeographicalAddressContactMedium",
          "mediumType": "ShippingAddressRef",
          "locationId": "6774fee611383110f877366201dea64f",
          "city": "Santa Clara",
          "country": "USA",
          "postCode": "94560",
          "stateOrProvince": "CA",
          "street": "222 Star St"
        }
      ],
      "note": [],
      "quoteItem": [
        {
          "id": "8be562bad565a610f8774663edf0ac16",
          "@type": "QuoteItem",
          "action": "add",
          "quantity": "1",
          "state": "Draft",
          "product": {
            "@type": "Product",
            "productCharacteristic": [
              {
                "id": "0fe562bad565a610f8774663edf0ac17",
                "name": "Voice Pack",
                "value": "1500 Minutes/Month"
              },
              {
                "id": "4be562bad565a610f8774663edf0ac17",
                "name": "SMS Pack",
                "value": "700 /Month"
              },
              {
                "id": "83e562bad565a610f8774663edf0ac18",
                "name": "Data Pack",
                "value": "20 GB/Month"
              },
              {
                "id": "87e562bad565a610f8774663edf0ac17",
                "name": "Mobile Number",
                "value": ""
              },
              {
                "id": "cfe562bad565a610f8774663edf0ac17",
                "name": "Shipping Address",
                "value": ""
              }
            ],
            "productSpecification": {
              "id": "3ee1fdb1c3331010d216b5183c40dd81",
              "href": "api/sn_tmf_api/catalogmanagement/productSpecification/3ee1fdb1c3331010d216b5183c40dd81",
              "name": "Mobile Plan",
              "@type": "ProductSpecificationRef"
            }
          },
          "productOffering": {
            "id": "2cb5588fc30020105252716b7d40dddd",
            "href": "api/sn_tmf_api/catalogmanagement/productOffering/2cb5588fc30020105252716b7d40dddd",
            "name": "All in one mobile plan starting from $49/month",
            "@type": "ProductOfferingRef"
          },
          "quoteItemPrice": [
            {
              "description": "Standard Price List",
              "name": "Standard Price List",
              "priceType": "Recurring",
              "recurringChargePeriod": "",
              "unitOfMeasure": "",
              "unitMarginPercentage": "",
              "price": {
                "totalOneTimePrice": {
                  "unit": "USD",
                  "value": 0
                },
                "monthlyRecurringPrice": {
                  "unit": "USD",
                  "value": 0
                },
                "annualRecurringPrice": {
                  "unit": "USD",
                  "value": 0
                },
                "cumulativeRecurringPrice": {
                  "unit": "USD",
                  "value": 0
                },
                "cumulativeAnnualRecurringPrice": {
                  "unit": "USD",
                  "value": 0
                },
                "cumulativeNetPrice": {
                  "unit": "USD",
                  "value": 0
                },
                "unitMarginAmount": {
                  "unit": "USD",
                  "value": 0
                },
                "unitMarginBasePrice": {
                  "unit": "USD",
                  "value": 0
                },
                "listPrice": {
                  "unit": "USD",
                  "value": 0
                },
                "unitCost": {
                  "unit": "USD",
                  "value": 0
                },
                "unitPrice": {
                  "unit": "USD",
                  "value": 0
                },
                "dutyFreeAmount": {
                  "unit": "USD",
                  "value": 0
                },
                "taxIncludedAmount": {
                  "unit": "USD",
                  "value": 0
                }
              },
              "priceAlteration": []
            }
          ]
        }
      ],
      "relatedParty": [
        {
          "role": "Customer",
          "id": "9e2fd2ee11b43110f877366201dea674",
          "name": "Startech svcs",
          "@type": "RelatedPartyRef",
          "@referredType": "Organization"
        },
        {
          "role": "CustomerContact",
          "id": "dca96eaa11f43110f877366201dea6c1",
          "name": "Alex Star",
          "@type": "RelatedPartyRef",
          "@referredType": "Individual"
        }
      ],
      "state": "Draft"
    }

    견적 관리 API - PATCH /sn_tmf_api/quote_management_api/quote/{id}

    지정된 견적을 업데이트합니다.

    URL 형식

    버전이 지정된 URL: /api/sn_tmf_api/{api_version}/quote_management_api/quote/{id}

    기본 URL: /api/sn_tmf_api/quote_management_api/quote/{id}

    지원되는 요청 매개변수

    표 19. 경로 매개변수
    이름 설명
    ID 업데이트할 견적의 Sys_id입니다.

    데이터 유형: 문자열

    테이블: 견적 [sn_quote_mgmt_core_quote]

    표 20. 쿼리 매개변수
    이름 설명
    없음
    표 21. 요청 본문 매개변수(JSON)
    이름 설명
    contactMedium 연락 매체 목록입니다. 견적 요청자와 관련된 연락처 정보입니다.
    "contactMedium": [
     {
      "city": "String",
      "country": "String",
      "locationId": "String",
      "mediumType": "String",
      "postCode": "String",
      "stateOrProvince": "String",
      "street": "String",
      "@type": "String"
     }
    ]
    contactMedium.city 견적 요청자가 거주하는 도시입니다.

    데이터 유형: 문자열

    contactMedium.country 견적 요청자가 거주하는 국가입니다.

    데이터 유형: 문자열

    contactMedium.locationId 위치 [cmn_location] 테이블 또는 사용자 지정 주소에 나열된 위치의 Sys_id입니다.

    데이터 유형: 문자열

    contactMedium.mediumType 연락 수단의 유형입니다(예: 이메일 주소, 전화 번호 또는 우편 주소).

    데이터 유형: 문자열

    contactMedium.postCode 견적 요청자의 우편 번호입니다.

    데이터 유형: 문자열

    contactMedium.stateOrProvince 견적 요청자가 거주하는 시 또는 도입니다.

    데이터 유형: 문자열

    contactMedium.street 견적 요청자의 거리 주소입니다.

    데이터 유형: 문자열

    contactMedium.@type TMF Open API 표준에 따른 매체 유형입니다. 예: GeographicalAddressContactMedium.

    데이터 유형: 문자열

    설명 견적에 대한 설명입니다.

    데이터 유형: 문자열

    참고 견적과 연결된 메모의 목록입니다.

    데이터 유형: 배열

    "note": [
      {
        "text": "String",
        "@type": "String"
     }
    ]
    note.text 메모의 내용입니다.

    데이터 유형: 문자열

    note.@type 이 값은 항상 참고입니다.

    데이터 유형: 문자열

    견적 날짜 견적이 생성된 날짜 및 시간입니다.

    데이터 유형: 문자열

    견적 항목 견적 항목 목록입니다. 각 견적 항목은 견적을 받을 제품에 대한 작업을 설명합니다.
    "quoteItem": [
     {
      "action": "String",
      "id": "String",
      "product": {Object},
      "productOffering": {Object},
      "productRelationship": {Object},
      "quantity": Number,
      "state": "String",
      "@type": "String"
     }
    ]

    데이터 유형: 객체 배열

    quoteItem.action 이 견적 항목에 대해 수행할 작업(추가, 수정, 제거 등)입니다.

    데이터 유형: 문자열

    quoteItem.id 견적 항목의 Sys_id입니다.

    테이블: 견적 라인 항목 [sn_quote_mgmt_core_quote_line_item]

    데이터 유형: 문자열

    quoteItem.product 견적에 포함된 제품 목록입니다.
    "product": {
      "characteristic": "String",
      "specification": "String",
      "@type": "String"
    }

    데이터 유형: 객체

    quoteItem.product. 특성 제품 특성 목록입니다.

    데이터 유형: 객체 배열

    "characteristic": [
      {
        "id": "String",
        "name": "String",
        "@type": "String",
        "value": "String"
      }
    ]
    Create product characteristics and characteristic options 문서를 참조하십시오.
    quoteItem.product. characteristic.id 제품 특성의 Sys_id입니다.

    테이블: 견적 라인 특성 [sn_quote_mgmt_core_quote_line_characteristic]

    데이터 유형: 문자열

    quoteItem.product. characteristic.name 제품 특성의 이름입니다.

    데이터 유형: 문자열

    quoteItem.product. characteristic.@type 이 값은 항상 StringCharacteristic입니다.

    데이터 유형: 문자열

    quoteItem.product. characteristic.value 특성의 값입니다.

    데이터 유형: 문자열

    quoteItem.product. 사양 고객 또는 당사자 역할을 수행하는 다른 당사자에게 제품 오퍼링의 형태로 외부에서 사용할 수 있는 유형 또는 무형 객체에 대한 자세한 설명입니다.

    데이터 유형: 문자열

    quoteItem.product.@type 이 값은 항상 Product입니다.

    데이터 유형: 문자열

    quoteItem.productOffering 제품 오퍼링 참조(ProductOfferingRef)입니다. 제품 오퍼링은 카탈로그 제공자로부터 주문할 수 있는 엔터티를 나타냅니다.
    "productOffering": {
      "href": "String",
      "name": "String",
      "name": "String",
      "@type": "String"
    }

    데이터 유형: 객체

    quoteItem 입니다. productOffering.href 관련 엔터티의 참조입니다.

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.id 제품 오퍼링의 Sys_id입니다.

    테이블: 제품 오퍼링[sn_prd_pm_product_offering]

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.name 관련 엔터티의 이름입니다.

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.@type 이 값은 항상 ProductOfferingRef입니다.

    데이터 유형: 문자열

    quoteItem.productRelationship 견적 항목 목록입니다. 각 견적 항목은 견적을 받을 제품에 대한 작업을 설명합니다.
    "productRelationship": [
     {
      "product": "String",
      "relationshipType": "String"
     }
    ]

    데이터 유형: 객체 배열

    quoteItem.productRelationship. 제품 제품 참조 또는 값(ProductRefOrValue)입니다. 값으로 정의되거나 참조로 정의된 기존 제품으로 생성됩니다.
    제품이 다음 기준 중 하나를 충족합니다.
    • 값에 의해 정의된 보류 중인 제품 생성입니다.
    • 참조로 정의된 기존 제품입니다.

    데이터 유형: 문자열

    quoteItem.productRelationship. relationshipType 제품이 번들이고 그 안에 포함된 번들 제품을 설명하려는 경우 번들 과 같은 제품 관계의 유형입니다.

    데이터 유형: 문자열

    quoteItem.quantity 이 견적 항목에 대해 요청된 수량입니다.

    데이터 유형: 숫자

    quoteItem.state 견적 상태 유형(QuoteStateType)입니다. 견적의 상태입니다.

    데이터 유형: 문자열

    quoteItem.@type 이 값은 항상 QuoteItem입니다.

    데이터 유형: 문자열

    관련당사자 주문의 연락처 목록입니다.

    데이터 유형: 객체 배열

    "relatedParty": [
      {
        "id": "String",
        "name": "String",
        "@referredType": "String",
        "role": "String",
        "@type": "String"
      }
    ]
    relatedParty.id 계정, 접촉 창구 또는 고객을 가져오기 위한 견적 테이블의 Sys_id입니다.

    테이블: 견적 [sn_quote_mgmt_core_quote]

    데이터 유형: 문자열

    relatedParty.name 계정, 고객 또는 소비자의 이름입니다.

    데이터 유형: 문자열

    relatedParty.@referredType 고객의 유형입니다.
    가능한 값:
    • 소비자
    • 고객
    • 고객 연락처

    데이터 유형: 문자열

    relatedParty.role 견적의 맥락에서 당사자의 역할(예: 계정, 연락처 또는 고객)입니다.

    데이터 유형: 문자열

    relatedParty.@type 이 값은 항상 ProductOfferingRef입니다.

    데이터 유형: 문자열

    상태 견적 항목의 상태입니다.

    데이터 유형: 문자열

    @type 자원의 유형입니다. 이 값은 항상 Quote입니다. 이 정보는 저장되지 않습니다.

    데이터 유형: 문자열

    헤더

    다음 요청 및 응답 헤더는 이 HTTP 작업에만 적용되거나 이 작업에 고유한 방식으로 적용됩니다. REST API에 사용되는 일반 헤더 목록은 지원되는 REST API 헤더를 참조하세요.

    표 22. 요청 헤더
    헤더 설명
    수용 응답 본문의 데이터 형식입니다. application/json만 지원합니다.
    컨텐츠-형식 요청 본문의 데이터 형식입니다. application/json만 지원합니다.
    표 23. 응답 헤더
    헤더 설명
    콘텐츠-형식 응답 본문의 데이터 형식입니다. .만 지원합니다 application/json.

    상태 코드

    다음 상태 코드는 이 HTTP 작업에 적용됩니다. REST API에서 사용되는 가능한 상태 코드 목록은 REST API HTTP 응답 코드를 참조하세요.

    표 24. 상태 코드
    상태 코드 설명
    200 요청이 성공적으로 처리되었습니다. 응답으로 전체 자원이 반환됩니다(페이지 매김 없음).
    400
    잘못된 요청. 가능한 이유:
    • 잘못된 경로 매개변수
    • 잘못된 URI
    404 기록 없음 쿼리 매개변수와 일치하는 기록을 테이블에서 찾을 수 없습니다.

    응답 본문 매개변수(JSON)

    이름 설명
    contactMedium 연락 매체 목록입니다. 견적 요청자와 관련된 연락처 정보입니다.
    "contactMedium": [
     {
      "city": "String",
      "country": "String",
      "locationId": "String",
      "mediumType": "String",
      "postCode": "String",
      "stateOrProvince": "String",
      "street": "String",
      "@type": "String"
     }
    ]
    contactMedium.city 견적 요청자가 거주하는 도시입니다.

    데이터 유형: 문자열

    contactMedium.country 견적 요청자가 거주하는 국가입니다.

    데이터 유형: 문자열

    contactMedium.locationId 위치 [cmn_location] 테이블 또는 사용자 지정 주소에 나열된 위치의 Sys_id입니다.

    데이터 유형: 문자열

    contactMedium.mediumType 연락 수단의 유형입니다(예: 이메일 주소, 전화 번호 또는 우편 주소).

    데이터 유형: 문자열

    contactMedium.postCode 견적 요청자의 우편 번호입니다.

    데이터 유형: 문자열

    contactMedium.stateOrProvince 견적 요청자가 거주하는 시 또는 도입니다.

    데이터 유형: 문자열

    contactMedium.street 견적 요청자의 거리 주소입니다.

    데이터 유형: 문자열

    contactMedium.@type TMF Open API 표준에 따른 매체 유형입니다. 예: GeographicalAddressContactMedium.

    데이터 유형: 문자열

    설명 견적에 대한 설명입니다.

    데이터 유형: 문자열

    참고 견적과 연결된 메모의 목록입니다.

    데이터 유형: 배열

    "note": [
      {
        "text": "String",
        "@type": "String"
     }
    ]
    note.text 메모의 내용입니다.

    데이터 유형: 문자열

    note.@type 이 값은 항상 참고입니다.

    데이터 유형: 문자열

    견적 날짜 견적이 생성된 날짜 및 시간입니다.

    데이터 유형: 문자열

    견적 항목 견적 항목 목록입니다. 각 견적 항목은 견적을 받을 제품에 대한 작업을 설명합니다.
    "quoteItem": [
     {
      "action": "String",
      "id": "String",
      "product": {Object},
      "productOffering": {Object},
      "productRelationship": {Object},
      "quantity": Number,
      "state": "String",
      "@type": "String"
     }
    ]

    데이터 유형: 객체 배열

    quoteItem.action 이 견적 항목에 대해 수행할 작업(추가, 수정, 제거 등)입니다.

    데이터 유형: 문자열

    quoteItem.id 견적 항목의 Sys_id입니다.

    테이블: 견적 라인 항목 [sn_quote_mgmt_core_quote_line_item]

    데이터 유형: 문자열

    quoteItem.product 견적에 포함된 제품 목록입니다.
    "product": {
      "characteristic": "String",
      "specification": "String",
      "@type": "String"
    }

    데이터 유형: 객체

    quoteItem.product. 특성 제품 특성 목록입니다.

    데이터 유형: 객체 배열

    "characteristic": [
      {
        "id": "String",
        "name": "String",
        "@type": "String",
        "value": "String"
      }
    ]
    Create product characteristics and characteristic options 문서를 참조하십시오.
    quoteItem.product. characteristic.id 제품 특성의 Sys_id입니다.

    테이블: 견적 라인 특성 [sn_quote_mgmt_core_quote_line_characteristic]

    데이터 유형: 문자열

    quoteItem.product. characteristic.name 제품 특성의 이름입니다.

    데이터 유형: 문자열

    quoteItem.product. characteristic.@type 이 값은 항상 StringCharacteristic입니다.

    데이터 유형: 문자열

    quoteItem.product. characteristic.value 특성의 값입니다.

    데이터 유형: 문자열

    quoteItem.product. 사양 고객 또는 당사자 역할을 수행하는 다른 당사자에게 제품 오퍼링의 형태로 외부에서 사용할 수 있는 유형 또는 무형 객체에 대한 자세한 설명입니다.

    데이터 유형: 문자열

    quoteItem.product.@type 이 값은 항상 Product입니다.

    데이터 유형: 문자열

    quoteItem.productOffering 제품 오퍼링 참조(ProductOfferingRef)입니다. 제품 오퍼링은 카탈로그 제공자로부터 주문할 수 있는 엔터티를 나타냅니다.
    "productOffering": {
      "href": "String",
      "name": "String",
      "name": "String",
      "@type": "String"
    }

    데이터 유형: 객체

    quoteItem 입니다. productOffering.href 관련 엔터티의 참조입니다.

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.id 제품 오퍼링의 Sys_id입니다.

    테이블: 제품 오퍼링[sn_prd_pm_product_offering]

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.name 관련 엔터티의 이름입니다.

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.@type 이 값은 항상 ProductOfferingRef입니다.

    데이터 유형: 문자열

    quoteItem.productRelationship 견적 항목 목록입니다. 각 견적 항목은 견적을 받을 제품에 대한 작업을 설명합니다.
    "productRelationship": [
     {
      "product": "String",
      "relationshipType": "String"
     }
    ]

    데이터 유형: 객체 배열

    quoteItem.productRelationship. 제품 제품 참조 또는 값(ProductRefOrValue)입니다. 값으로 정의되거나 참조로 정의된 기존 제품으로 생성됩니다.
    제품이 다음 기준 중 하나를 충족합니다.
    • 값에 의해 정의된 보류 중인 제품 생성입니다.
    • 참조로 정의된 기존 제품입니다.

    데이터 유형: 문자열

    quoteItem.productRelationship. relationshipType 제품이 번들이고 그 안에 포함된 번들 제품을 설명하려는 경우 번들 과 같은 제품 관계의 유형입니다.

    데이터 유형: 문자열

    quoteItem.quantity 이 견적 항목에 대해 요청된 수량입니다.

    데이터 유형: 숫자

    quoteItem.state 견적 상태 유형(QuoteStateType)입니다. 견적의 상태입니다.

    데이터 유형: 문자열

    quoteItem.@type 이 값은 항상 QuoteItem입니다.

    데이터 유형: 문자열

    관련당사자 주문의 연락처 목록입니다.

    데이터 유형: 객체 배열

    "relatedParty": [
      {
        "id": "String",
        "name": "String",
        "@referredType": "String",
        "role": "String",
        "@type": "String"
      }
    ]
    relatedParty.id 계정, 접촉 창구 또는 고객을 가져오기 위한 견적 테이블의 Sys_id입니다.

    테이블: 견적 [sn_quote_mgmt_core_quote]

    데이터 유형: 문자열

    relatedParty.name 계정, 고객 또는 소비자의 이름입니다.

    데이터 유형: 문자열

    relatedParty.@referredType 고객의 유형입니다.
    가능한 값:
    • 소비자
    • 고객
    • 고객 연락처

    데이터 유형: 문자열

    relatedParty.role 견적의 맥락에서 당사자의 역할(예: 계정, 연락처 또는 고객)입니다.

    데이터 유형: 문자열

    relatedParty.@type 이 값은 항상 ProductOfferingRef입니다.

    데이터 유형: 문자열

    상태 견적 항목의 상태입니다.

    데이터 유형: 문자열

    @type 자원의 유형입니다. 이 값은 항상 Quote입니다. 이 정보는 저장되지 않습니다.

    데이터 유형: 문자열

    cURL 요청

    이 예시에서는 견적을 업데이트하는 방법을 보여줍니다.

    curl "https://k8s0747687-node1.thunder.devsnc.com/api/sn_tmf_api/quote_management_api/quote/cb15734fd5692a10f8774663edf0ac19" \
    --request PATCH \
    --header "Accept:application/json" \
    --header "Content-Type:application/json" \
    --data "{
      \"@type\": \"Quote\",
      \"description\": \"Quote for Internet and OTT Bundle\",
      \"contactMedium\": [
        {
          \"@type\": \"GeographicalAddressContactMedium\",
          \"mediumType\": \"ShippingAddressRef\",
          \"locationId\": \"25ab96060a0a0bb300a6d66ce72095f2\",
          \"city\": \"Santa Clara\",
          \"country\": \"USA\",
          \"postCode\": \"95050\",
          \"stateOrProvince\": \"CA\",
          \"street\": \"2866 Stevens Creek Blvd\"
        }
      ],
      \"note\": [
        {
          \"@type\": \"Note\",
          \"text\": \"This is a quote request following today call\"
        }
      ],
      \"quoteItem\": [
        {
          \"id\": \"086be79bd5e1aa10f8774663edf0acba\",
          \"@type\": \"QuoteItem\",
          \"action\": \"add\",
          \"quantity\": \"1\",
          \"state\": \"Draft\",
          \"product\": {
            \"@type\": \"Product\"
          },
          \"productOffering\": {
            \"id\": \"ffeb447211bc3110f877366201dea6df\",
            \"name\": \"Internet and OTT Bundle\",
            \"@type\": \"ProductOfferingRef\"
          },
          \"productRelationship\": [
            {
              \"product\": \"597bab9bd5e1aa10f8774663edf0ac1b\",
              \"relationshipType\": \"HasChild\"
            },
            {
              \"product\": \"d57bab9bd5e1aa10f8774663edf0ac1a\",
              \"relationshipType\": \"HasChild\"
            },
            {
              \"product\": \"d57bab9bd5e1aa10f8774663edf0ac1c\",
              \"relationshipType\": \"HasChild\"
            }
          ]
        },
        {
          \"id\": \"d57bab9bd5e1aa10f8774663edf0ac1a\",
          \"@type\": \"QuoteItem\",
          \"action\": \"add\",
          \"quantity\": \"1\",
          \"state\": \"Draft\",
          \"product\": {
            \"@type\": \"Product\"
          },
          \"productOffering\": {
            \"id\": \"0761dd9fd0a63110f8770dbf976be173\",
            \"name\": \"Solana Modem N Series\",
            \"@type\": \"ProductOfferingRef\"
          },
          \"productRelationship\": [
            {
              \"product\": \"086be79bd5e1aa10f8774663edf0acba\",
              \"relationshipType\": \"HasParent\"
            }
          ]
        },
        {
          \"id\": \"597bab9bd5e1aa10f8774663edf0ac1b\",
          \"@type\": \"QuoteItem\",
          \"action\": \"add\",
          \"quantity\": \"1\",
          \"state\": \"Draft\",
          \"product\": {
            \"@type\": \"Product\"
          },
          \"productOffering\": {
            \"id\": \"8b61dd9fd0a63110f8770dbf976be140\",
            \"name\": \"Basic internet - 100 Mbps Plan\",
            \"@type\": \"ProductOfferingRef\"
          },
          \"productRelationship\": [
            {
              \"product\": \"086be79bd5e1aa10f8774663edf0acba\",
              \"relationshipType\": \"HasParent\"
            }
          ]
        },
        {
          \"id\": \"d57bab9bd5e1aa10f8774663edf0ac1c\",
          \"@type\": \"QuoteItem\",
          \"action\": \"add\",
          \"quantity\": \"1\",
          \"state\": \"Draft\",
          \"product\": {
            \"@type\": \"Product\"
          },
          \"productOffering\": {
            \"id\": \"62619d9fd0a63110f8770dbf976be180\",
            \"name\": \"Solana Movie streaming channel\",
            \"@type\": \"ProductOfferingRef\"
          },
          \"productRelationship\": [
            {
              \"product\": \"086be79bd5e1aa10f8774663edf0acba\",
              \"relationshipType\": \"HasParent\"
            }
          ]
        },
        {
          \"id\": \"797ca71fd5e1aa10f8774663edf0ac2b\",
          \"@type\": \"QuoteItem\",
          \"action\": \"add\",
          \"quantity\": \"1\",
          \"state\": \"Draft\",
          \"product\": {
            \"@type\": \"Product\",
            \"productCharacteristic\": [
              {
                \"name\": \"Internet breakout\",
                \"value\": \"No\"
              },
              {
                \"name\": \"Quality of Service\",
                \"value\": \"Basic\"
              },
              {
                \"name\": \"Speed\",
                \"value\": \"High\"
              }
            ],
            \"productSpecification\": {
              \"id\": \"cd81594e74ae4a10f877468e695efa81\",
              \"name\": \"VPN Site PS\",
              \"@type\": \"ProductSpecificationRef\"
            }
          },
          \"productOffering\": {
            \"id\": \"6c3d1e86a5e20210f8774c9b4be6ce42\",
            \"name\": \"VPN Site\",
            \"@type\": \"ProductOfferingRef\"
          },
          \"productRelationship\": [
            {
              \"product\": \"7f8c6b1fd5e1aa10f8774663edf0ac71\",
              \"relationshipType\": \"HasChild\"
            },
            {
              \"product\": \"bb8c6b1fd5e1aa10f8774663edf0ac73\",
              \"relationshipType\": \"HasChild\"
            },
            {
              \"product\": \"bf8c6b1fd5e1aa10f8774663edf0ac70\",
              \"relationshipType\": \"HasChild\"
            },
            {
              \"product\": \"fb8c6b1fd5e1aa10f8774663edf0ac72\",
              \"relationshipType\": \"HasChild\"
            }
          ]
        },
        {
          \"id\": \"bf8c6b1fd5e1aa10f8774663edf0ac70\",
          \"@type\": \"QuoteItem\",
          \"action\": \"add\",
          \"quantity\": \"1\",
          \"state\": \"Draft\",
          \"product\": {
            \"@type\": \"Product\"
          },
          \"productOffering\": {
            \"id\": \"2c265d4274ee4a10f877468e695efa45\",
            \"name\": \"Maintenance Fee\",
            \"@type\": \"ProductOfferingRef\"
          },
          \"productRelationship\": [
            {
              \"product\": \"797ca71fd5e1aa10f8774663edf0ac2b\",
              \"relationshipType\": \"HasParent\"
            }
          ]
        },
        {
          \"id\": \"7f8c6b1fd5e1aa10f8774663edf0ac71\",
          \"@type\": \"QuoteItem\",
          \"action\": \"add\",
          \"quantity\": \"1\",
          \"state\": \"Draft\",
          \"product\": {
            \"@type\": \"Product\"
          },
          \"productOffering\": {
            \"id\": \"4466d50674ee4a10f877468e695efa0d\",
            \"name\": \"Security Fee\",
            \"@type\": \"ProductOfferingRef\"
          },
          \"productRelationship\": [
            {
              \"product\": \"797ca71fd5e1aa10f8774663edf0ac2b\",
              \"relationshipType\": \"HasParent\"
            }
          ]
        },
        {
          \"id\": \"fb8c6b1fd5e1aa10f8774663edf0ac72\",
          \"@type\": \"QuoteItem\",
          \"action\": \"add\",
          \"quantity\": \"1\",
          \"state\": \"Draft\",
          \"product\": {
            \"@type\": \"Product\",
            \"productCharacteristic\": [
              {
                \"name\": \"Speed\",
                \"value\": \"High\"
              },
              {
                \"name\": \"Internet breakout\",
                \"value\": \"No\"
              }
            ],
            \"productSpecification\": {
              \"id\": \"ee4f8d8a74ae4a10f877468e695efa3f\",
              \"name\": \"VPN Endpoint PS\",
              \"@type\": \"ProductSpecificationRef\"
            }
          },
          \"productOffering\": {
            \"id\": \"7acc9e46a5e20210f8774c9b4be6ce9e\",
            \"name\": \"VPN Endpoint\",
            \"@type\": \"ProductOfferingRef\"
          },
          \"productRelationship\": [
            {
              \"product\": \"797ca71fd5e1aa10f8774663edf0ac2b\",
              \"relationshipType\": \"HasParent\"
            }
          ]
        },
        {
          \"id\": \"bb8c6b1fd5e1aa10f8774663edf0ac73\",
          \"@type\": \"QuoteItem\",
          \"action\": \"add\",
          \"quantity\": \"1\",
          \"state\": \"Draft\",
          \"product\": {
            \"@type\": \"Product\",
            \"productCharacteristic\": [
              {
                \"name\": \"Quality of Service\",
                \"value\": \"Basic\"
              }
            ],
            \"productSpecification\": {
              \"id\": \"3ba0914e74ae4a10f877468e695efa6e\",
              \"name\": \"VPN Firewall PS\",
              \"@type\": \"ProductSpecificationRef\"
            }
          },
          \"productOffering\": {
            \"id\": \"4407d90674ee4a10f877468e695efaab\",
            \"name\": \"VPN Firewall\",
            \"@type\": \"ProductOfferingRef\"
          },
          \"productRelationship\": [
            {
              \"product\": \"797ca71fd5e1aa10f8774663edf0ac2b\",
              \"relationshipType\": \"HasParent\"
            }
          ]
        }
      ],
      \"relatedParty\": [
        {
          \"role\": \"Customer\",
          \"id\": \"9e2fd2ee11b43110f877366201dea674\",
          \"name\": \"Startech svcs\",
          \"@type\": \"RelatedPartyRef\",
          \"@referredType\": \"Organization\"
        }
      ],
      \"state\": \"Draft\"
    }" \
    --user 'userName':'password'

    응답 본문.

    {
      "@type": "Quote",
      "description": "Quote for Internet and OTT Bundle",
      "contactMedium": [
        {
          "@type": "GeographicalAddressContactMedium",
          "mediumType": "ShippingAddressRef",
          "locationId": "25ab96060a0a0bb300a6d66ce72095f2",
          "city": "Santa Clara",
          "country": "USA",
          "postCode": "95050",
          "stateOrProvince": "CA",
          "street": "2866 Stevens Creek Blvd"
        }
      ],
      "note": [
        {
          "@type": "Note",
          "text": "This is a quote request following today call"
        }
      ],
      "quoteItem": [
        {
          "id": "086be79bd5e1aa10f8774663edf0acba",
          "@type": "QuoteItem",
          "action": "add",
          "quantity": "1",
          "state": "Draft",
          "product": {
            "@type": "Product"
          },
          "productOffering": {
            "id": "ffeb447211bc3110f877366201dea6df",
            "name": "Internet and OTT Bundle",
            "@type": "ProductOfferingRef"
          },
          "productRelationship": [
            {
              "product": "597bab9bd5e1aa10f8774663edf0ac1b",
              "relationshipType": "HasChild"
            },
            {
              "product": "d57bab9bd5e1aa10f8774663edf0ac1a",
              "relationshipType": "HasChild"
            },
            {
              "product": "d57bab9bd5e1aa10f8774663edf0ac1c",
              "relationshipType": "HasChild"
            }
          ]
        },
        {
          "id": "d57bab9bd5e1aa10f8774663edf0ac1a",
          "@type": "QuoteItem",
          "action": "add",
          "quantity": "1",
          "state": "Draft",
          "product": {
            "@type": "Product"
          },
          "productOffering": {
            "id": "0761dd9fd0a63110f8770dbf976be173",
            "name": "Solana Modem N Series",
            "@type": "ProductOfferingRef"
          },
          "productRelationship": [
            {
              "product": "086be79bd5e1aa10f8774663edf0acba",
              "relationshipType": "HasParent"
            }
          ]
        },
        {
          "id": "597bab9bd5e1aa10f8774663edf0ac1b",
          "@type": "QuoteItem",
          "action": "add",
          "quantity": "1",
          "state": "Draft",
          "product": {
            "@type": "Product"
          },
          "productOffering": {
            "id": "8b61dd9fd0a63110f8770dbf976be140",
            "name": "Basic internet - 100 Mbps Plan",
            "@type": "ProductOfferingRef"
          },
          "productRelationship": [
            {
              "product": "086be79bd5e1aa10f8774663edf0acba",
              "relationshipType": "HasParent"
            }
          ]
        },
        {
          "id": "d57bab9bd5e1aa10f8774663edf0ac1c",
          "@type": "QuoteItem",
          "action": "add",
          "quantity": "1",
          "state": "Draft",
          "product": {
            "@type": "Product"
          },
          "productOffering": {
            "id": "62619d9fd0a63110f8770dbf976be180",
            "name": "Solana Movie streaming channel",
            "@type": "ProductOfferingRef"
          },
          "productRelationship": [
            {
              "product": "086be79bd5e1aa10f8774663edf0acba",
              "relationshipType": "HasParent"
            }
          ]
        },
        {
          "id": "797ca71fd5e1aa10f8774663edf0ac2b",
          "@type": "QuoteItem",
          "action": "add",
          "quantity": "1",
          "state": "Draft",
          "product": {
            "@type": "Product",
            "productCharacteristic": [
              {
                "name": "Internet breakout",
                "value": "No"
              },
              {
                "name": "Quality of Service",
                "value": "Basic"
              },
              {
                "name": "Speed",
                "value": "High"
              }
            ],
            "productSpecification": {
              "id": "cd81594e74ae4a10f877468e695efa81",
              "name": "VPN Site PS",
              "@type": "ProductSpecificationRef"
            }
          },
          "productOffering": {
            "id": "6c3d1e86a5e20210f8774c9b4be6ce42",
            "name": "VPN Site",
            "@type": "ProductOfferingRef"
          },
          "productRelationship": [
            {
              "product": "7f8c6b1fd5e1aa10f8774663edf0ac71",
              "relationshipType": "HasChild"
            },
            {
              "product": "bb8c6b1fd5e1aa10f8774663edf0ac73",
              "relationshipType": "HasChild"
            },
            {
              "product": "bf8c6b1fd5e1aa10f8774663edf0ac70",
              "relationshipType": "HasChild"
            },
            {
              "product": "fb8c6b1fd5e1aa10f8774663edf0ac72",
              "relationshipType": "HasChild"
            }
          ]
        },
        {
          "id": "bf8c6b1fd5e1aa10f8774663edf0ac70",
          "@type": "QuoteItem",
          "action": "add",
          "quantity": "1",
          "state": "Draft",
          "product": {
            "@type": "Product"
          },
          "productOffering": {
            "id": "2c265d4274ee4a10f877468e695efa45",
            "name": "Maintenance Fee",
            "@type": "ProductOfferingRef"
          },
          "productRelationship": [
            {
              "product": "797ca71fd5e1aa10f8774663edf0ac2b",
              "relationshipType": "HasParent"
            }
          ]
        },
        {
          "id": "7f8c6b1fd5e1aa10f8774663edf0ac71",
          "@type": "QuoteItem",
          "action": "add",
          "quantity": "1",
          "state": "Draft",
          "product": {
            "@type": "Product"
          },
          "productOffering": {
            "id": "4466d50674ee4a10f877468e695efa0d",
            "name": "Security Fee",
            "@type": "ProductOfferingRef"
          },
          "productRelationship": [
            {
              "product": "797ca71fd5e1aa10f8774663edf0ac2b",
              "relationshipType": "HasParent"
            }
          ]
        },
        {
          "id": "fb8c6b1fd5e1aa10f8774663edf0ac72",
          "@type": "QuoteItem",
          "action": "add",
          "quantity": "1",
          "state": "Draft",
          "product": {
            "@type": "Product",
            "productCharacteristic": [
              {
                "name": "Speed",
                "value": "High"
              },
              {
                "name": "Internet breakout",
                "value": "No"
              }
            ],
            "productSpecification": {
              "id": "ee4f8d8a74ae4a10f877468e695efa3f",
              "name": "VPN Endpoint PS",
              "@type": "ProductSpecificationRef"
            }
          },
          "productOffering": {
            "id": "7acc9e46a5e20210f8774c9b4be6ce9e",
            "name": "VPN Endpoint",
            "@type": "ProductOfferingRef"
          },
          "productRelationship": [
            {
              "product": "797ca71fd5e1aa10f8774663edf0ac2b",
              "relationshipType": "HasParent"
            }
          ]
        },
        {
          "id": "bb8c6b1fd5e1aa10f8774663edf0ac73",
          "@type": "QuoteItem",
          "action": "add",
          "quantity": "1",
          "state": "Draft",
          "product": {
            "@type": "Product",
            "productCharacteristic": [
              {
                "name": "Quality of Service",
                "value": "Basic"
              }
            ],
            "productSpecification": {
              "id": "3ba0914e74ae4a10f877468e695efa6e",
              "name": "VPN Firewall PS",
              "@type": "ProductSpecificationRef"
            }
          },
          "productOffering": {
            "id": "4407d90674ee4a10f877468e695efaab",
            "name": "VPN Firewall",
            "@type": "ProductOfferingRef"
          },
          "productRelationship": [
            {
              "product": "797ca71fd5e1aa10f8774663edf0ac2b",
              "relationshipType": "HasParent"
            }
          ]
        }
      ],
      "relatedParty": [
        {
          "role": "Customer",
          "id": "9e2fd2ee11b43110f877366201dea674",
          "name": "Startech svcs",
          "@type": "RelatedPartyRef",
          "@referredType": "Organization"
        }
      ],
      "state": "Draft",
      "id": "cb15734fd5692a10f8774663edf0ac19",
      "version": "2",
      "quoteDate": "2025-05-21 04:56:50",
      "href": "api/sn_tmf_api/quote_management_api/quote/cb15734fd5692a10f8774663edf0ac19"
    }

    견적 관리 API – POST /sn_tmf_api/quote_management_api/견적

    견적을 작성합니다.

    새 견적 기록은 다음 테이블에 생성됩니다.
    • 인용문 [sn_quote_mgmt_core_quote]
    • 판매 계약 [sn_sales_agmt_core_sales_agreement]
    • 견적 라인 항목 [sn_quote_mgmt_core_quote_line_item]
    • 견적 라인 특성 [sn_quote_mgmt_core_quote_line_characteristic]
    • 견적 가격 조정 [sn_quote_mgmt_core_pricing_adjustment]

    URL 형식

    버전이 지정된 URL: /api/sn_tmf_api/{api_version}/quote_management_api/quote

    기본 URL: /api/sn_tmf_api/quote_management_api/quote

    지원되는 요청 매개변수

    표 25. 경로 매개변수
    이름 설명
    없음
    표 26. 쿼리 매개변수
    이름 설명
    없음
    표 27. 요청 본문 매개변수(JSON)
    이름 설명
    contactMedium 연락 매체 목록입니다. 견적 요청자와 관련된 연락처 정보입니다.
    "contactMedium": [
     {
      "city": "String",
      "country": "String",
      "locationId": "String",
      "mediumType": "String",
      "postCode": "String",
      "stateOrProvince": "String",
      "street": "String",
      "@type": "String"
     }
    ]
    contactMedium.city 견적 요청자가 거주하는 도시입니다.

    데이터 유형: 문자열

    contactMedium.country 견적 요청자가 거주하는 국가입니다.

    데이터 유형: 문자열

    contactMedium.locationId 위치 [cmn_location] 테이블 또는 사용자 지정 주소에 나열된 위치의 Sys_id입니다.

    데이터 유형: 문자열

    contactMedium.mediumType 연락 수단의 유형입니다(예: 이메일 주소, 전화 번호 또는 우편 주소).

    데이터 유형: 문자열

    contactMedium.postCode 견적 요청자의 우편 번호입니다.

    데이터 유형: 문자열

    contactMedium.stateOrProvince 견적 요청자가 거주하는 시 또는 도입니다.

    데이터 유형: 문자열

    contactMedium.street 견적 요청자의 거리 주소입니다.

    데이터 유형: 문자열

    contactMedium.@type TMF Open API 표준에 따른 매체 유형입니다. 예: GeographicalAddressContactMedium.

    데이터 유형: 문자열

    설명 견적에 대한 설명입니다.

    데이터 유형: 문자열

    externalId 견적에 대한 고유 소비자 제공 ID입니다.

    데이터 유형: 문자열

    href 견적에 액세스할 수 있는 상대 링크입니다.

    데이터 유형: 문자열

    기본값: 빈 문자열

    메모 견적과 연결된 메모의 목록입니다.

    데이터 유형: 배열

    "note": [
      {
        "text": "String",
        "@type": "String"
     }
    ]
    note.text 메모의 내용입니다.

    데이터 유형: 문자열

    note.@type 이 값은 항상 참고입니다.

    데이터 유형: 문자열

    견적 날짜 견적이 생성된 날짜 및 시간입니다.

    데이터 유형: 문자열

    견적 항목 견적 항목 목록입니다. 각 견적 항목은 견적을 받을 제품에 대한 작업을 설명합니다.
    "quoteItem": [
     {
      "action": "String",
      "id": "String",
      "product": {Object},
      "productOffering": {Object},
      "productRelationship": {Object},
      "quantity": Number,
      "state": "String",
      "@type": "String"
     }
    ]

    데이터 유형: 객체 배열

    quoteItem.action 이 견적 항목에 대해 수행할 작업(추가, 수정, 제거 등)입니다.

    데이터 유형: 문자열

    quoteItem.id 견적 항목의 Sys_id입니다.

    테이블: 견적 라인 항목 [sn_quote_mgmt_core_quote_line_item]

    데이터 유형: 문자열

    quoteItem.product 견적에 포함된 제품 목록입니다.
    "product": {
      "characteristic": "String",
      "specification": "String",
      "@type": "String"
    }

    데이터 유형: 객체

    quoteItem.product. 특성 제품 특성 목록입니다.

    데이터 유형: 객체 배열

    "characteristic": [
      {
        "id": "String",
        "name": "String",
        "@type": "String",
        "value": "String"
      }
    ]
    Create product characteristics and characteristic options 문서를 참조하십시오.
    quoteItem.product. characteristic.id 제품 특성의 Sys_id입니다.

    테이블: 견적 라인 특성 [sn_quote_mgmt_core_quote_line_characteristic]

    데이터 유형: 문자열

    quoteItem.product. characteristic.name 제품 특성의 이름입니다.

    데이터 유형: 문자열

    quoteItem.product. characteristic.@type 이 값은 항상 StringCharacteristic입니다.

    데이터 유형: 문자열

    quoteItem.product. characteristic.value 특성의 값입니다.

    데이터 유형: 문자열

    quoteItem.product. 사양 고객 또는 당사자 역할을 수행하는 다른 당사자에게 제품 오퍼링의 형태로 외부에서 사용할 수 있는 유형 또는 무형 객체에 대한 자세한 설명입니다.

    데이터 유형: 문자열

    quoteItem.product.@type 이 값은 항상 Product입니다.

    데이터 유형: 문자열

    quoteItem.productOffering 제품 오퍼링 참조(ProductOfferingRef)입니다. 제품 오퍼링은 카탈로그 제공자로부터 주문할 수 있는 엔터티를 나타냅니다.
    "productOffering": {
      "href": "String",
      "name": "String",
      "name": "String",
      "@type": "String"
    }

    데이터 유형: 객체

    quoteItem 입니다. productOffering.href 관련 엔터티의 참조입니다.

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.id 제품 오퍼링의 Sys_id입니다.

    테이블: 제품 오퍼링[sn_prd_pm_product_offering]

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.name 관련 엔터티의 이름입니다.

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.@type 이 값은 항상 ProductOfferingRef입니다.

    데이터 유형: 문자열

    quoteItem.productRelationship 견적 항목 목록입니다. 각 견적 항목은 견적을 받을 제품에 대한 작업을 설명합니다.
    "productRelationship": [
     {
      "product": "String",
      "relationshipType": "String"
     }
    ]

    데이터 유형: 객체 배열

    quoteItem.productRelationship. 제품 제품 참조 또는 값(ProductRefOrValue)입니다. 값으로 정의되거나 참조로 정의된 기존 제품으로 생성됩니다.
    제품이 다음 기준 중 하나를 충족합니다.
    • 값에 의해 정의된 보류 중인 제품 생성입니다.
    • 참조로 정의된 기존 제품입니다.

    데이터 유형: 문자열

    quoteItem.productRelationship. relationshipType 제품이 번들이고 그 안에 포함된 번들 제품을 설명하려는 경우 번들 과 같은 제품 관계의 유형입니다.

    데이터 유형: 문자열

    quoteItem.quantity 이 견적 항목에 대해 요청된 수량입니다.

    데이터 유형: 숫자

    quoteItem.state 견적 상태 유형(QuoteStateType)입니다. 견적의 상태입니다.

    데이터 유형: 문자열

    quoteItem.@type 이 값은 항상 QuoteItem입니다.

    데이터 유형: 문자열

    관련당사자 주문의 연락처 목록입니다.

    데이터 유형: 객체 배열

    "relatedParty": [
      {
        "id": "String",
        "name": "String",
        "@referredType": "String",
        "role": "String",
        "@type": "String"
      }
    ]
    relatedParty.id 계정, 접촉 창구 또는 고객을 가져오기 위한 견적 테이블의 Sys_id입니다.

    테이블: 견적 [sn_quote_mgmt_core_quote]

    데이터 유형: 문자열

    relatedParty.name 계정, 고객 또는 소비자의 이름입니다.

    데이터 유형: 문자열

    relatedParty.@referredType 고객의 유형입니다.
    가능한 값:
    • 소비자
    • 고객
    • 고객 연락처

    데이터 유형: 문자열

    relatedParty.role 견적의 맥락에서 당사자의 역할(예: 계정, 연락처 또는 고객)입니다.

    데이터 유형: 문자열

    relatedParty.@type 이 값은 항상 ProductOfferingRef입니다.

    데이터 유형: 문자열

    상태 견적 항목의 상태입니다.

    데이터 유형: 문자열

    @type 자원의 유형입니다. 이 값은 항상 Quote입니다. 이 정보는 저장되지 않습니다.

    데이터 유형: 문자열

    헤더

    다음 요청 및 응답 헤더는 이 HTTP 작업에만 적용되거나 이 작업에 고유한 방식으로 적용됩니다. REST API에 사용되는 일반 헤더 목록은 지원되는 REST API 헤더를 참조하세요.

    표 28. 요청 헤더
    헤더 설명
    수용 응답 본문의 데이터 형식입니다. application/json만 지원합니다.
    표 29. 응답 헤더
    헤더 설명
    콘텐츠-형식 응답 본문의 데이터 형식입니다. .만 지원합니다 application/json.

    상태 코드

    다음 상태 코드는 이 HTTP 작업에 적용됩니다. REST API에서 사용되는 가능한 상태 코드 목록은 REST API HTTP 응답 코드를 참조하세요.

    표 30. 상태 코드
    상태 코드 설명
    201 성공입니다. 요청이 성공적으로 처리되었습니다.
    400 잘못된 요청입니다. 잘못된 요청 유형 또는 잘못된 형식의 요청이 탐지되었습니다.
    가능한 이유:
    • 빈 페이로드입니다.
    • 잘못된 페이로드입니다. 필수 필드 누락됨: <필드 이름>.

    응답 본문 매개변수(JSON)

    이름 설명
    contactMedium 연락 매체 목록입니다. 견적 요청자와 관련된 연락처 정보입니다.
    "contactMedium": [
     {
      "city": "String",
      "country": "String",
      "locationId": "String",
      "mediumType": "String",
      "postCode": "String",
      "stateOrProvince": "String",
      "street": "String",
      "@type": "String"
     }
    ]
    contactMedium.city 견적 요청자가 거주하는 도시입니다.

    데이터 유형: 문자열

    contactMedium.country 견적 요청자가 거주하는 국가입니다.

    데이터 유형: 문자열

    contactMedium.locationId 위치 [cmn_location] 테이블 또는 사용자 지정 주소에 나열된 위치의 Sys_id입니다.

    데이터 유형: 문자열

    contactMedium.mediumType 연락 수단의 유형입니다(예: 이메일 주소, 전화 번호 또는 우편 주소).

    데이터 유형: 문자열

    contactMedium.postCode 견적 요청자의 우편 번호입니다.

    데이터 유형: 문자열

    contactMedium.stateOrProvince 견적 요청자가 거주하는 시 또는 도입니다.

    데이터 유형: 문자열

    contactMedium.street 견적 요청자의 거리 주소입니다.

    데이터 유형: 문자열

    contactMedium.@type TMF Open API 표준에 따른 매체 유형입니다. 예: GeographicalAddressContactMedium.

    데이터 유형: 문자열

    설명 견적에 대한 설명입니다.

    데이터 유형: 문자열

    externalId 견적에 대한 고유 소비자 제공 ID입니다.

    데이터 유형: 문자열

    href 견적에 액세스할 수 있는 상대 링크입니다.

    데이터 유형: 문자열

    기본값: 빈 문자열

    메모 견적과 연결된 메모의 목록입니다.

    데이터 유형: 배열

    "note": [
      {
        "text": "String",
        "@type": "String"
     }
    ]
    note.text 메모의 내용입니다.

    데이터 유형: 문자열

    note.@type 이 값은 항상 참고입니다.

    데이터 유형: 문자열

    견적 날짜 견적이 생성된 날짜 및 시간입니다.

    데이터 유형: 문자열

    견적 항목 견적 항목 목록입니다. 각 견적 항목은 견적을 받을 제품에 대한 작업을 설명합니다.
    "quoteItem": [
     {
      "action": "String",
      "id": "String",
      "product": {Object},
      "productOffering": {Object},
      "productRelationship": {Object},
      "quantity": Number,
      "state": "String",
      "@type": "String"
     }
    ]

    데이터 유형: 객체 배열

    quoteItem.action 이 견적 항목에 대해 수행할 작업(추가, 수정, 제거 등)입니다.

    데이터 유형: 문자열

    quoteItem.id 견적 항목의 Sys_id입니다.

    테이블: 견적 라인 항목 [sn_quote_mgmt_core_quote_line_item]

    데이터 유형: 문자열

    quoteItem.product 견적에 포함된 제품 목록입니다.
    "product": {
      "characteristic": "String",
      "specification": "String",
      "@type": "String"
    }

    데이터 유형: 객체

    quoteItem.product. 특성 제품 특성 목록입니다.

    데이터 유형: 객체 배열

    "characteristic": [
      {
        "id": "String",
        "name": "String",
        "@type": "String",
        "value": "String"
      }
    ]
    Create product characteristics and characteristic options 문서를 참조하십시오.
    quoteItem.product. characteristic.id 제품 특성의 Sys_id입니다.

    테이블: 견적 라인 특성 [sn_quote_mgmt_core_quote_line_characteristic]

    데이터 유형: 문자열

    quoteItem.product. characteristic.name 제품 특성의 이름입니다.

    데이터 유형: 문자열

    quoteItem.product. characteristic.@type 이 값은 항상 StringCharacteristic입니다.

    데이터 유형: 문자열

    quoteItem.product. characteristic.value 특성의 값입니다.

    데이터 유형: 문자열

    quoteItem.product. 사양 고객 또는 당사자 역할을 수행하는 다른 당사자에게 제품 오퍼링의 형태로 외부에서 사용할 수 있는 유형 또는 무형 객체에 대한 자세한 설명입니다.

    데이터 유형: 문자열

    quoteItem.product.@type 이 값은 항상 Product입니다.

    데이터 유형: 문자열

    quoteItem.productOffering 제품 오퍼링 참조(ProductOfferingRef)입니다. 제품 오퍼링은 카탈로그 제공자로부터 주문할 수 있는 엔터티를 나타냅니다.
    "productOffering": {
      "href": "String",
      "name": "String",
      "name": "String",
      "@type": "String"
    }

    데이터 유형: 객체

    quoteItem 입니다. productOffering.href 관련 엔터티의 참조입니다.

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.id 제품 오퍼링의 Sys_id입니다.

    테이블: 제품 오퍼링[sn_prd_pm_product_offering]

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.name 관련 엔터티의 이름입니다.

    데이터 유형: 문자열

    quoteItem 입니다. productOffering.@type 이 값은 항상 ProductOfferingRef입니다.

    데이터 유형: 문자열

    quoteItem.productRelationship 견적 항목 목록입니다. 각 견적 항목은 견적을 받을 제품에 대한 작업을 설명합니다.
    "productRelationship": [
     {
      "product": "String",
      "relationshipType": "String"
     }
    ]

    데이터 유형: 객체 배열

    quoteItem.productRelationship. 제품 제품 참조 또는 값(ProductRefOrValue)입니다. 값으로 정의되거나 참조로 정의된 기존 제품으로 생성됩니다.
    제품이 다음 기준 중 하나를 충족합니다.
    • 값에 의해 정의된 보류 중인 제품 생성입니다.
    • 참조로 정의된 기존 제품입니다.

    데이터 유형: 문자열

    quoteItem.productRelationship. relationshipType 제품이 번들이고 그 안에 포함된 번들 제품을 설명하려는 경우 번들 과 같은 제품 관계의 유형입니다.

    데이터 유형: 문자열

    quoteItem.quantity 이 견적 항목에 대해 요청된 수량입니다.

    데이터 유형: 숫자

    quoteItem.state 견적 상태 유형(QuoteStateType)입니다. 견적의 상태입니다.

    데이터 유형: 문자열

    quoteItem.@type 이 값은 항상 QuoteItem입니다.

    데이터 유형: 문자열

    관련당사자 주문의 연락처 목록입니다.

    데이터 유형: 객체 배열

    "relatedParty": [
      {
        "id": "String",
        "name": "String",
        "@referredType": "String",
        "role": "String",
        "@type": "String"
      }
    ]
    relatedParty.id 계정, 접촉 창구 또는 고객을 가져오기 위한 견적 테이블의 Sys_id입니다.

    테이블: 견적 [sn_quote_mgmt_core_quote]

    데이터 유형: 문자열

    relatedParty.name 계정, 고객 또는 소비자의 이름입니다.

    데이터 유형: 문자열

    relatedParty.@referredType 고객의 유형입니다.
    가능한 값:
    • 소비자
    • 고객
    • 고객 연락처

    데이터 유형: 문자열

    relatedParty.role 견적의 맥락에서 당사자의 역할(예: 계정, 연락처 또는 고객)입니다.

    데이터 유형: 문자열

    relatedParty.@type 이 값은 항상 ProductOfferingRef입니다.

    데이터 유형: 문자열

    상태 견적 항목의 상태입니다.

    데이터 유형: 문자열

    @type 자원의 유형입니다. 이 값은 항상 Quote입니다. 이 정보는 저장되지 않습니다.

    데이터 유형: 문자열

    다음 예시에서는 견적을 생성하는 방법을 보여줍니다.

    curl "http://localhost:8080/api/sn_tmf_api/quote_management_api/quote" \
    --request POST \
    --header "Accept:application/json" \
    --header "Content-Type:application/json" \
    --data "{
      \"@type\": \"Quote\",
      \"description\": \"Quote for Internet and OTT Bundle\",
      \"state\": \"Draft\",
      \"externalId\": \"12233\",
      \"contactMedium\": [
        {
          \"@type\": \"GeographicalAddressContactMedium\",
          \"mediumType\": \"ShippingAddressRef\",
          \"locationId\": \"6774fee611383110f877366201dea64f\",
          \"city\": \"Santa Clara\",
          \"country\": \"USA\",
          \"postCode\": \"95050\",
          \"stateOrProvince\": \"CA\",
          \"street\": \"2866 Stevens Creek Blvd\"
        }
      ],
      \"note\": [
        {
          \"@type\": \"Note\",
          \"text\": \"This is a quote request for the Internet and OTT Bundle\"
        }
      ],
      \"quoteItem\": [
        {
          \"id\": \"ea88d77c4165ae10f8776348db5f9196\",
          \"@type\": \"QuoteItem\",
          \"action\": \"add\",
          \"quantity\": \"1\",
          \"state\": \"Draft\",
          \"product\": {
            \"@type\": \"Product\"
          },
          \"productOffering\": {
            \"id\": \"ffeb447211bc3110f877366201dea6df\",
            \"href\": \"api/sn_tmf_api/catalogmanagement/productOffering/ffeb447211bc3110f877366201dea6df\",
            \"name\": \"Internet and OTT Bundle\",
            \"@type\": \"ProductOfferingRef\"
          },
          \"productRelationship\": [
            {
              \"product\": \"3688d77c4165ae10f8776348db5f91cf\",
              \"relationshipType\": \"HasChild\"
            },
            {
              \"product\": \"3a881b7c4165ae10f8776348db5f911b\",
              \"relationshipType\": \"HasChild\"
            },
            {
              \"product\": \"7e88d77c4165ae10f8776348db5f91fb\",
              \"relationshipType\": \"HasChild\"
            }
          ]
        },
        {
          \"id\": \"3688d77c4165ae10f8776348db5f91cf\",
          \"@type\": \"QuoteItem\",
          \"action\": \"add\",
          \"quantity\": \"1\",
          \"state\": \"Draft\",
          \"product\": {
            \"@type\": \"Product\"
          },
          \"productOffering\": {
            \"id\": \"0761dd9fd0a63110f8770dbf976be173\",
            \"href\": \"api/sn_tmf_api/catalogmanagement/productOffering/0761dd9fd0a63110f8770dbf976be173\",
            \"name\": \"Solana Modem N Series\",
            \"@type\": \"ProductOfferingRef\"
          },
          \"productRelationship\": [
            {
              \"product\": \"ea88d77c4165ae10f8776348db5f9196\",
              \"relationshipType\": \"HasParent\"
            }
          ]
        },
        {
          \"id\": \"7e88d77c4165ae10f8776348db5f91fb\",
          \"@type\": \"QuoteItem\",
          \"action\": \"add\",
          \"quantity\": \"1\",
          \"state\": \"Draft\",
          \"product\": {
            \"@type\": \"Product\"
          },
          \"productOffering\": {
            \"id\": \"8b61dd9fd0a63110f8770dbf976be140\",
            \"href\": \"api/sn_tmf_api/catalogmanagement/productOffering/8b61dd9fd0a63110f8770dbf976be140\",
            \"name\": \"Basic internet - 100 Mbps Plan\",
            \"@type\": \"ProductOfferingRef\"
          },
          \"productRelationship\": [
            {
              \"product\": \"ea88d77c4165ae10f8776348db5f9196\",
              \"relationshipType\": \"HasParent\"
            }
          ]
        },
        {
          \"id\": \"3a881b7c4165ae10f8776348db5f911b\",
          \"@type\": \"QuoteItem\",
          \"action\": \"add\",
          \"quantity\": \"1\",
          \"state\": \"Draft\",
          \"product\": {
            \"@type\": \"Product\"
          },
          \"productOffering\": {
            \"id\": \"62619d9fd0a63110f8770dbf976be180\",
            \"href\": \"api/sn_tmf_api/catalogmanagement/productOffering/62619d9fd0a63110f8770dbf976be180\",
            \"name\": \"Solana Movie streaming channel\",
            \"@type\": \"ProductOfferingRef\"
          },
          \"productRelationship\": [
            {
              \"product\": \"ea88d77c4165ae10f8776348db5f9196\",
              \"relationshipType\": \"HasParent\"
            }
          ]
        }
      ],
      \"relatedParty\": [
        {
          \"role\": \"Customer\",
          \"id\": \"ab9a0e8b2fc9a610b79db3bf42faf3a6\",
          \"name\": \"Funco Intl\",
          \"@type\": \"RelatedPartyRef\",
          \"@referredType\": \"Organization\"
        }
      ]
    }" \
    --user 'userName':'password'

    응답 본문.

    {
      "@type": "Quote",
      "description": "Quote for Internet and OTT Bundle",
      "state": "Draft",
      "externalId": "12233",
      "contactMedium": [
        {
          "@type": "GeographicalAddressContactMedium",
          "mediumType": "ShippingAddressRef",
          "locationId": "6774fee611383110f877366201dea64f",
          "city": "Santa Clara",
          "country": "USA",
          "postCode": "95050",
          "stateOrProvince": "CA",
          "street": "2866 Stevens Creek Blvd"
        }
      ],
      "note": [
        {
          "@type": "Note",
          "text": "This is a quote request for the Internet and OTT Bundle"
        }
      ],
      "quoteItem": [
        {
          "id": "ea88d77c4165ae10f8776348db5f9196",
          "@type": "QuoteItem",
          "action": "add",
          "quantity": "1",
          "state": "Draft",
          "product": {
            "@type": "Product"
          },
          "productOffering": {
            "id": "ffeb447211bc3110f877366201dea6df",
            "href": "api/sn_tmf_api/catalogmanagement/productOffering/ffeb447211bc3110f877366201dea6df",
            "name": "Internet and OTT Bundle",
            "@type": "ProductOfferingRef",
            "internalVersion": "1",
            "version": "",
            "internalId": "ffeb447211bc3110f877366201dea6df"
          },
          "productRelationship": [
            {
              "product": "3688d77c4165ae10f8776348db5f91cf",
              "relationshipType": "HasChild"
            },
            {
              "product": "3a881b7c4165ae10f8776348db5f911b",
              "relationshipType": "HasChild"
            },
            {
              "product": "7e88d77c4165ae10f8776348db5f91fb",
              "relationshipType": "HasChild"
            }
          ]
        },
        {
          "id": "3688d77c4165ae10f8776348db5f91cf",
          "@type": "QuoteItem",
          "action": "add",
          "quantity": "1",
          "state": "Draft",
          "product": {
            "@type": "Product"
          },
          "productOffering": {
            "id": "0761dd9fd0a63110f8770dbf976be173",
            "href": "api/sn_tmf_api/catalogmanagement/productOffering/0761dd9fd0a63110f8770dbf976be173",
            "name": "Solana Modem N Series",
            "@type": "ProductOfferingRef",
            "internalVersion": "1",
            "version": "",
            "internalId": "0761dd9fd0a63110f8770dbf976be173"
          },
          "productRelationship": [
            {
              "product": "ea88d77c4165ae10f8776348db5f9196",
              "relationshipType": "HasParent"
            }
          ]
        },
        {
          "id": "7e88d77c4165ae10f8776348db5f91fb",
          "@type": "QuoteItem",
          "action": "add",
          "quantity": "1",
          "state": "Draft",
          "product": {
            "@type": "Product"
          },
          "productOffering": {
            "id": "8b61dd9fd0a63110f8770dbf976be140",
            "href": "api/sn_tmf_api/catalogmanagement/productOffering/8b61dd9fd0a63110f8770dbf976be140",
            "name": "Basic internet - 100 Mbps Plan",
            "@type": "ProductOfferingRef",
            "internalVersion": "1",
            "version": "",
            "internalId": "8b61dd9fd0a63110f8770dbf976be140"
          },
          "productRelationship": [
            {
              "product": "ea88d77c4165ae10f8776348db5f9196",
              "relationshipType": "HasParent"
            }
          ]
        },
        {
          "id": "3a881b7c4165ae10f8776348db5f911b",
          "@type": "QuoteItem",
          "action": "add",
          "quantity": "1",
          "state": "Draft",
          "product": {
            "@type": "Product"
          },
          "productOffering": {
            "id": "62619d9fd0a63110f8770dbf976be180",
            "href": "api/sn_tmf_api/catalogmanagement/productOffering/62619d9fd0a63110f8770dbf976be180",
            "name": "Solana Movie streaming channel",
            "@type": "ProductOfferingRef",
            "internalVersion": "1",
            "version": "",
            "internalId": "62619d9fd0a63110f8770dbf976be180"
          },
          "productRelationship": [
            {
              "product": "ea88d77c4165ae10f8776348db5f9196",
              "relationshipType": "HasParent"
            }
          ]
        }
      ],
      "relatedParty": [
        {
          "role": "Customer",
          "id": "ab9a0e8b2fc9a610b79db3bf42faf3a6",
          "name": "Funco Intl",
          "@type": "RelatedPartyRef",
          "@referredType": "Organization"
        }
      ],
      "id": "acc805bcfff5a610b79dffffffffffe6",
      "href": "api/sn_tmf_api/quote_management_api/quote/acc805bcfff5a610b79dffffffffffe6"
    }